// IAssemblyInfo.h

#pragma once

#ifndef _I_ASSEMBLY_INFO_H_
#define _I_ASSEMBLY_INFO_H_

typedef unsigned __int16 WORD;

//--------------------------------------------------------------
// IAssemblyInfo
//--------------------------------------------------------------

struct IAssemblyInfo
{
	WORD MajorVersion;
	WORD MinorVersion;
	WORD BuildNumber;
	WORD RevisionNumber;
	//DWORD PublicKeyOrToken;
	const char * Name;
	const char * Culture;
	bool bFile; // false - assembly ref, true reference in FileTable

	IAssemblyInfo()
		: MajorVersion(0)
		, MinorVersion(0)
		, BuildNumber(0)
		, RevisionNumber(0)
		, Name(0)
		, Culture(0)
		, bFile(false)
	{}

	bool operator== ( const IAssemblyInfo & rhs ) const
	{
		return strcmp ( Name, rhs.Name ) == 0;
	}
};

//--------------------------------------------------------------

#endif // _I_CS_ASSEMBLY_INFO_H_
